/*
///////////////////////////////////////////////////////////////////////////////////////////////////
// Description : EditDia.hpp
//   
// Dialog edition the waypoints
//
///////////////////////////////////////////////////////////////////////////////////////////////////
// 
//					
///////////////////////////////////////////////////////////////////////////////////////////////////
// Creation date: 10 mar 1997                        Author: J Thénoz
///////////////////////////////////////////////////////////////////////////////////////////////////
// Modification date:			                      Author: 
// 
//
// 
//
///////////////////////////////////////////////////////////////////////////////////////////////////
*/


#ifndef EDITWP_HPP
#define EDITWP_HPP


class Waypoint_Interface;

class EditDia : public CFormView
{
protected:
	Waypoint_Interface*  m_poInterface;

protected:
	EditDia(void);           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(EditDia);

// Form Data
public:
	//{{AFX_DATA(EditDia)
	enum { IDD = IDD_EDIT_DIALOG };
	CTabCtrl	m_oTab;
	//}}AFX_DATA

// Operations
public:
	void fn_vInit (void);
	void fn_vSetInterface ( Waypoint_Interface* );
	void fn_vRefresh (void);

	
protected:	


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EditDia)
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext);
	virtual void OnDestroy();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


	// Generated message map functions
	//{{AFX_MSG(EditDia)
	afx_msg void OnEditWaypointOnRadio();
	afx_msg void OnEditWaypointOffRadio();
	afx_msg void OnEditWaypointAllRadio();
	afx_msg void OnEditWaypointIsolateRadio();
//ANNECY Shaitan Nettoyage (12/05/98) {
/*
	afx_msg void OnSelchangeEditTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditWayOffRadio();
	afx_msg void OnEditWayOnRadio();
	afx_msg void OnEditWaySelectedRadio();
*/
//ENDANNECY Shaitan Nettoyage }
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//ANNECY Shaitan Nettoyage (12/05/98) {
/*
	long fn_lGetId (long lWayDisplay);
	void fn_vSetDisplay ( long lDisplayState );
	void fn_vSetFlags ( int iIndex, long lDisplayState );
*/
//ENDANNECY Shaitan Nettoyage }
};

#endif
/////////////////////////////////////////////////////////////////////////////
